org.eclipse.emf.cdo.common.commit

## Interface CDOChangeKindProvider

- All Known Subinterfaces:
    CDOChangeSet, CDOChangeSetData, CDOCommitData, CDOCommitHistory.TriggerLoadElement, CDOCommitInfo, CDOSessionInvalidationEvent, InternalCDOSessionInvalidationEvent
  All Known Implementing Classes:
    CDOChangeKindCache

      public interface CDOChangeKindProvider

  Generic provider for the kinds of changes that have been applied to objects.
  Since:
    4.0
  Author:
    Eike Stepper
  Apiviz
    `CDOChangeKind` - - provides

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOChangeKind` | `getChangeKind(CDOID id)`

- - ### Method Detail

    - #### getChangeKind

          CDOChangeKind getChangeKind(CDOID id)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html